Subject: Re: [PATCH v3 2/5] LSM: Replace context+len with lsm_context

From: Pablo Neira Ayuso <[email-masked]>
Date: Fri, 1 Nov 2024 08:25:46 +0100

On Thu, Oct 31, 2024 at 04:58:13PM -0700, Casey Schaufler wrote:
> On 10/31/2024 4:23 PM, Pablo Neira Ayuso wrote:
> > On Fri, Nov 01, 2024 at 12:15:16AM +0100, Pablo Neira Ayuso wrote:
> >> Hi Paul,
> >>
> >> This patch breaks nf_conntrack_netlink, Casey mentioned that he will
> >> post another series.
> 
> I have a fix, it is pretty simple. How about I send a 6/5 patch for it?

No idea. I don't know what is the status of this series. I would
suggest to repost a new series.

> Or, if you want to fix it yourself, in ctnetlink_secctx_size() remove the
> declaration of "len" and replace its use in the return with "ret".

No, sorry, I won't do that.

Thanks.

> > Please, see:
> >
> > https://lore.kernel.org/netfilter-devel/ZxpxZuErvXSLApsf@calendula/
> >
> >> On Thu, Oct 31, 2024 at 06:53:38PM -0400, Paul Moore wrote:
> >>> On Oct 23, 2024 Casey Schaufler <[email-masked]> wrote:
> >>>> Replace the (secctx,seclen) pointer pair with a single
> >>>> lsm_context pointer to allow return of the LSM identifier
> >>>> along with the context and context length. This allows
> >>>> security_release_secctx() to know how to release the
> >>>> context. Callers have been modified to use or save the
> >>>> returned data from the new structure.
> >>>>
> >>>> security_secid_to_secctx() and security_lsmproc_to_secctx()
> >>>> will now return the length value on success instead of 0.
> >>>>
> >>>> Signed-off-by: Casey Schaufler <[email-masked]>
> >>>> Cc: [email-masked]
> >>>> Cc: [email-masked]
> >>>> Cc: [email-masked]
> >>>> Cc: Todd Kjos <[email-masked]>
> >>>> ---
> >>>>  drivers/android/binder.c                |  5 ++-
> >>>>  include/linux/lsm_hook_defs.h           |  5 ++-
> >>>>  include/linux/security.h                |  9 +++---
> >>>>  include/net/scm.h                       |  5 ++-
> >>>>  kernel/audit.c                          |  9 +++---
> >>>>  kernel/auditsc.c                        | 16 ++++------
> >>>>  net/ipv4/ip_sockglue.c                  |  4 +--
> >>>>  net/netfilter/nf_conntrack_netlink.c    |  8 ++---
> >>>>  net/netfilter/nf_conntrack_standalone.c |  4 +--
> >>>>  net/netfilter/nfnetlink_queue.c         | 27 +++++++---------
> >>>>  net/netlabel/netlabel_unlabeled.c       | 14 +++------
> >>>>  net/netlabel/netlabel_user.c            |  3 +-
> >>>>  security/apparmor/include/secid.h       |  5 ++-
> >>>>  security/apparmor/secid.c               | 26 +++++++--------
> >>>>  security/security.c                     | 34 +++++++++-----------
> >>>>  security/selinux/hooks.c                | 23 +++++++++++---
> >>>>  security/smack/smack_lsm.c              | 42 +++++++++++++++----------
> >>>>  17 files changed, 118 insertions(+), 121 deletions(-)
> >>> See my note on patch 1/5, merging into lsm/dev.